Subject: Re[2]: PMP> Printer Interoperability issues

From: [email-masked] (Bill Wagner)
Date: Fri, 20 Dec 1996 19:07:18 -0500

Lloyd,

My original question was merely to ascertain what the testing environment
was to be, if this was intended as a set of private by company tests or 
a more interactive session such as the pre-bake off. It was not my intent
to indicate that I did or did not want to observe or that having observers
was good or bad.

Your latest message answers my question, specifically, 

"I am concerned if people think they can come to the interoperability
testing just to observe. That is not the intent of the interoperability
testing and will be counter productive to getting the testing completed."

I further understand that the results of testing will remain private. I would 
assume therefore that the test results will not be a subject of discussion at 
the working group meetings.

Best regards, 

Bill Wagner

---

From: Lloyd Young <[email-masked]>
Date: 20 Dec 96 21:44:32 EST

Bill,
If I correctly understand the IETF guidelines for interoperability 
testing, it is not that the results remain private after the
interoperability testing but that a company's name is not 
associated with their specific results. The intent of the 
interoperability testing is if different results are obtained 
for the same object then there must be some ambiguity in the MIB.
The ambiguity is then corrected in the MIB. The results of the
testing are discussed outside the testing but it will be within 
the framework of Company A (company name changed to a generic
name) had this set of results, Company B had this set of results, 
etc. If there are differences in the results then the MIB will be 
examined to see if the documentation can be improved.

I have never gone through any interoperability testing so what I
am going to say is not based on any experience but strictly on
gut feel. There may be some time while the testing is going on 
to do slight analysis of the results. But I think most of the 
real analysis of the results will occur after the three days of 
testing are complete. I think 3 days of testing will be pretty
full with just doing testing. Most of the time will be spent 
gaining familiarity with the testing tools and systems that we 
are using, testing, and collecting results. I am concerned if 
people are standing around observing because first I do not think
there is going to be much to observe and secondly it will be
a distraction to the people doing the testing. I don't believe
how the testing was done will be that important when we are 
analyzing the results later. It might be good if there are
volunteers that want to help with the testing because there
may be some companies that need assistance.
Lloyd